libbctoolbox1-0.6.0-3.1.x86_64.rpm


Advertisement

Description

libbctoolbox1 - Utility library for software from Belledonne Communications

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libbctoolbox1-0.6.0-3.1.x86_64.rpm
Package name libbctoolbox1
Package version 0.6.0
Package release 3.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://linphone.org/
License GPL-2.0-or-later
Maintainer -
Download size 50.88 KB
Installed size 131.97 KB
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.
This package the contains shared library.

Alternatives

Package Version Architecture Repository
libbctoolbox1-0.6.0-3.1.i586.rpm 0.6.0 i586 openSUSE Oss
libbctoolbox1 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libmbedcrypto.so.3()(64bit) -
libmbedtls.so.12()(64bit) -
libmbedx509.so.0()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -

Provides

Name Value
libbctoolbox.so.1()(64bit) -
libbctoolbox1 = 0.6.0-3.1
libbctoolbox1(x86-64) = 0.6.0-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libbctoolbox1-0.6.0-3.1.x86_64.rpm
Source Package bctoolbox-0.6.0-3.1.src.rpm

Install Howto

Install libbctoolbox1 rpm package:

# zypper install libbctoolbox1

Files

Path
/usr/lib64/libbctoolbox.so.1
/usr/share/licenses/libbctoolbox1/COPYING

Changelog

2019-04-30 - Martin Li?ka <mliska@suse.cz>
- Add gcc9-stringop-bogus-warning.patch in order to fix a misleading
warning by GCC 9 (boo#1121200).
2018-08-15 - sor.alexei@meowr.ru
- Remove bctoolbox-fix-no-git.patch: it is better to fix the issue
in packages where it occurs.
2017-07-20 - sor.alexei@meowr.ru
- Update to version 0.6.0:
* Add API to escape/unescape strings (SIP, VCARD).
* Bug fixes.
- Add bctoolbox-fix-pkgconfig.patch instead of requiring
pkgconfig(bcunit) and pkgconfig(zlib).
- Add bctoolbox-fix-no-git.patch sor.alexei@meowr.ru: Fix building
of dependent applications out-of-git.
2017-06-21 - mpluskal@suse.com
- Update baselibs
- Run spec-cleaner
2017-05-17 - sor.alexei@meowr.ru
- Update to version 0.5.1:
* security bugfix: TLS session could be successfully established
whereas the common name did not match the server name.
* "const char * to void *" map feature.
- Remove bctoolbox-pkgconfig_1.patch and
bctoolbox-pkgconfig_2.patch: fixed upstream.
2016-08-27 - jengelh@inai.de
- Remove extraneous pkgconfig require
2016-08-27 - mpluskal@suse.com
- Merge changes from home:X0F:HSF
- Fix generation of pkgconfig files
* bctoolbox-pkgconfig_1.patch
* bctoolbox-pkgconfig_2.patch
2016-08-15 - jengelh@inai.de
- Update summary and rpm groups
2016-08-12 - mpluskal@suse.com
- Initial package for version 0.2.0

See Also

Package Description
libbctoolbox1-32bit-0.6.0-3.1.x86_64.rpm Utility library for software from Belledonne Communications
libbcunit1-3.0.2-1.4.i586.rpm BCUnit shared library
libbcunit1-3.0.2-1.4.x86_64.rpm BCUnit shared library
libbcunit1-32bit-3.0.2-1.4.x86_64.rpm BCUnit shared library
libbd_btrfs-devel-2.20-2.1.i586.rpm Development files for the libbd_btrfs plugin/library
libbd_btrfs-devel-2.20-2.1.x86_64.rpm Development files for the libbd_btrfs plugin/library
libbd_btrfs2-2.20-2.1.i586.rpm The BTRFS plugin for the LibBlockDev library
libbd_btrfs2-2.20-2.1.x86_64.rpm The BTRFS plugin for the LibBlockDev library
libbd_crypto-devel-2.20-2.1.i586.rpm Development files for the libbd_crypto plugin/library
libbd_crypto-devel-2.20-2.1.x86_64.rpm Development files for the libbd_crypto plugin/library
libbd_crypto2-2.20-2.1.i586.rpm The crypto plugin for the LibBlockDev library
libbd_crypto2-2.20-2.1.x86_64.rpm The crypto plugin for the LibBlockDev library
libbd_dm-devel-2.20-2.1.i586.rpm Development files for the libbd_dm plugin/library
libbd_dm-devel-2.20-2.1.x86_64.rpm Development files for the libbd_dm plugin/library
libbd_dm2-2.20-2.1.i586.rpm The Device Mapper plugin for the LibBlockDev library
Advertisement
Advertisement